Bug 237373 - Review Request: mcpp - Alternative C/C++ preprocessor
Review Request: mcpp - Alternative C/C++ preprocessor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-21 09:54 EDT by Kiyoshi Matsui
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 02:18:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)
mcpp-manual.html.patch (892 bytes, patch)
2007-04-24 10:05 EDT, Kiyoshi Matsui
no flags Details | Diff
mcpp.spec (2.26 KB, text/plain)
2007-04-24 10:07 EDT, Kiyoshi Matsui
no flags Details
mcpp-2.6.3-3.src.rpm (1.18 MB, application/x-rpm)
2007-04-24 10:33 EDT, Kiyoshi Matsui
no flags Details
mcpp.spec (2.20 KB, text/plain)
2007-04-25 09:10 EDT, Kiyoshi Matsui
no flags Details
mcpp-2.6.3-3.src.rpm (1.18 MB, application/x-rpm)
2007-04-25 09:14 EDT, Kiyoshi Matsui
no flags Details
mcpp-2.6.3-4.i386.rpm (260.43 KB, application/x-rpm)
2007-04-25 10:52 EDT, Kiyoshi Matsui
no flags Details
mcpp-2.6.3-4.src.rpm (1.18 MB, application/x-rpm)
2007-04-25 10:53 EDT, Kiyoshi Matsui
no flags Details
mcpp.spec (2.34 KB, text/plain)
2007-04-25 10:58 EDT, Kiyoshi Matsui
no flags Details

  None (edit)
Description Kiyoshi Matsui 2007-04-21 09:54:22 EDT
Spec URL: http://prdownloads.sourceforge.net/mcpp/mcpp-2.6.3-2.spec?download
SRPM URL: http://prdownloads.sourceforge.net/mcpp/mcpp-2.6.3-2.src.rpm?download
Description: 
MCPP is an alternative C/C++ preprocessor with the highest conformance,
implementated by Kiyoshi Matsui.  It supports multiple standards: K&R,
ISO C90, ISO C99, and ISO C++98.  MCPP is especially useful for
debugging the source program which use complicated macros and also
useful for checking portability of the source.

Though mcpp could be built as a replacement of GCC's resident
proprocessor or as a subroutine called from some other main program,
this package installs only a stand-alone program named 'mcpp' which
behaves independent from GCC.

This is my first rpm package, and I am seeking a sponsor to be
reviewed.
Comment 1 Mamoru TASAKA 2007-04-23 07:10:22 EDT
Hello, Matsui-san:

First please make yourself be familiar with the guidelines:
http://fedoraproject.org/wiki/Packaging/Guidelines and
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Then:
A. description section:

* libdir
  - rpmlint shows:
--------------------------------------------------------
E: mcpp configure-without-libdir-spec
--------------------------------------------------------
    For this package it seems okay, however please explain
    why not using libdir for ths configure is not a problem.
    Also consider to use %configure macro.

* disttag
  - Using %{?dist} tag on Release number is prefered to
    make it easy to maintain a package over several branches
    Check:
    http://fedoraproject.org/wiki/Packaging/DistTag

* SourceURL
  - Please refer to
    http://fedoraproject.org/wiki/Packaging/SourceURL

* Prefix
  - Do you intend to make this package relocatable?
    If so, please explain why you want. If not, setting Prefix
    is forbidden.

B. setup/build/install stage:
* macros
  - If you don't intend to make this relocatable, please
    use proper macros (%{_mandir} for /usr/share/man,
    %{_datadir} for /usr/share, ....)

* parallel make
  - Support parallel make if possible.

* Compilar flags
  - Fedora specific compilation flags are not honored.
    Mock build log says:
----------------------------------------------------------
make[2]: Entering directory `/builddir/build/BUILD/mcpp-2.6.3/src'
gcc -DHAVE_CONFIG_H -I. -I. -I.                  -g -O2 -c -o mcpp-main.o `test
-f 'main.c' || echo './'`main.c
----------------------------------------------------------
    while Fedora specific compilation flags are:
----------------------------------------------------------
[tasaka1@localhost ~]$ rpm --eval %optflags
-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables
----------------------------------------------------------
    (on FC-devel i386)

C Files entry
* Documentation entry
  - Files/Directories under %{_docdir} (/usr/share/doc) are automatically
    marked as documentation

* Locale specific documentation
  - Locale specific documents must be marked as %lang(<lang>)
    (i.e. %lang(ja) %doc ..... , for example)

* Encoding
  - doc-jp/mcpp-manual.html is encoded with EUC-JP, while Fedora default
    encoding is UTF-8. Please change (by iconv, for example).

* Documentation
  The following documents are  preferred to be included as a documentation.
----------------------------------------------------------
ChangeLog*
----------------------------------------------------------

D. clean section
----------------------------------------------------------
make DESTDIR=$RPM_BUILD_ROOT uninstall
make distclean
---------------------------------------------------------- 
  - Why do these required?

E. test execution
  - These are some directory which "seem" to be used for %check section.
    If possible, add %check section and do some tests in the section.
Comment 2 Kiyoshi Matsui 2007-04-24 10:05:44 EDT
Created attachment 153352 [details]
mcpp-manual.html.patch
Comment 3 Kiyoshi Matsui 2007-04-24 10:07:22 EDT
Created attachment 153353 [details]
mcpp.spec
Comment 4 Mamoru TASAKA 2007-04-24 10:12:59 EDT
Please provide a new _full_ srpm so that
everyone can check your new srpm easily...
Comment 5 Kiyoshi Matsui 2007-04-24 10:33:49 EDT
Created attachment 153354 [details]
mcpp-2.6.3-3.src.rpm

Hello Tasaka-san,

Thank you very much for the thorough and kind review!

I have rewritten the spec file and created a patch file.

As for %check, current mcpp of compiler-independent-build has no
automatic testing routine.  Though mcpp has a series of automatic
testing testcases, it is for GCC-specific-build of mcpp.  I want to
write a testing routine for mcpp of compiler-independent-build too, in
the future version.
Comment 6 Mamoru TASAKA 2007-04-24 11:15:19 EDT
For -3:
* Directory ownership
  - %{_datadir}/doc/%{name}-%{version} is not owned
     by any package and this package should own the
     directory.

Well, then:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------


Comment 7 Kiyoshi Matsui 2007-04-25 09:10:24 EDT
Created attachment 153418 [details]
mcpp.spec
Comment 8 Kiyoshi Matsui 2007-04-25 09:14:56 EDT
Created attachment 153419 [details]
mcpp-2.6.3-3.src.rpm

I have rewritten again the spec file in order to avoid duplication in %file,
and changed the installation of the documents.
Comment 9 Mamoru TASAKA 2007-04-25 09:46:48 EDT
Well,
* release number
  http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes
----------------------------------------------
Increase the "Release" tag every time you upload a new package to avoid
confusion. The reviewer and other interested parties probably still have older
versions of your SRPM lying around to check what has changed between the old and
new packages; those get confused when the revision didn't change.
----------------------------------------------
  So please bump release number.

  Well, then as I said on comment 6, would you do a pre-review of
  other person's review request or submit a new review request of other
  software? (usually people choose former)
Comment 10 Kiyoshi Matsui 2007-04-25 10:52:00 EDT
Created attachment 153424 [details]
mcpp-2.6.3-4.i386.rpm
Comment 11 Kiyoshi Matsui 2007-04-25 10:53:53 EDT
Created attachment 153425 [details]
mcpp-2.6.3-4.src.rpm
Comment 12 Kiyoshi Matsui 2007-04-25 10:58:24 EDT
Created attachment 153427 [details]
mcpp.spec

Increased the release number.

I have mis-uploaded a binary rpm, sorry.

As for pre-review or other review request, please give me a few days of time.
Comment 13 Kiyoshi Matsui 2007-04-27 11:27:56 EDT
Updated to 2.6.3-5. to apply a new patch for mcpp.

mcpp.spec:
http://sourceforge.net/project/downloading.php?groupname=mcpp&filename=mcpp-2.6.3-5.spec

mcpp-2.6.3-5.src.rpm:
http://sourceforge.net/project/downloading.php?groupname=mcpp&filename=mcpp-2.6.3-5.src.rpm
Comment 14 Mamoru TASAKA 2007-05-04 04:01:56 EDT
ping?
Comment 15 Kiyoshi Matsui 2007-05-04 04:28:45 EDT
Sorry for my long absence.  I am now working to update mcpp
from V.2.6.3 to V.2.6.4 which is a bug-fixed version of V.2.
6.3.

I will select some packages and write pre-reviews in two or
three days.
Comment 16 Kiyoshi Matsui 2007-05-09 06:00:54 EDT
I have just written "pre-review" on the following two new packages.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239154
        referencer: a Gnome application to organise documents or references
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=238248
        ddccontrol: control monitor parameters,like brightness and contrast

Writing review is a hard task than I expected!
Comment 17 Mamoru TASAKA 2007-05-09 12:08:20 EDT
Well,

* mcpp packaging/performance is okay
* For pre-reviewing:
  - for referencer, actually Deji Akingunola is a good packager
    and the spec file seems no problem at a glance (I didn't
    check in detail)
  - for ddccontrol, according to your comment the spec file
    seems to have many problem. I guess more problem may be
    found.... (for this package, I have not seen the spec file yet)

(In reply to comment #16)
> Writing review is a hard task than I expected!
Perhaps. While I have reviewed about 140 packages and
have submitted about 40 review requests, reviewing srpm
was very difficult for me first.

Okay!!
------------------------------------------------------
   This package (mcpp) is APPROVED by me
------------------------------------------------------

Please follow:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account". I will receive a mail which notices
that you need a sponsor and then I will sponsor you.

NOTE: devel repository is currently under the way of the merge
      of Core and Extras and you may meet some trouble. If you
      have some trouble, please let me know.

Comment 18 Kiyoshi Matsui 2007-05-11 10:44:24 EDT
New Package CVS Request
=======================
Package Name: mcpp
Short Description: Alternative C/C++ preprocessor
Owners: kmatsui@t3.rim.or.jp
Branches: FC-6
InitialCC: 
Comment 19 Mamoru TASAKA 2007-05-13 08:28:34 EDT
(Removing NEEDSPONSOR. I am sponsoring Matsui-san)
Please close this as NEXTRELEASE when rebuild on devel
and FC-6 is done.
Comment 20 Kiyoshi Matsui 2007-05-13 09:49:03 EDT
Hello Tasaka-san,

Thank you for sponsoring me!

On cvs, koji has successfully built the package in "devel" branch.  But,
plague-client fails in "FC-6" branch for some reason, the server says
"Insufficient privilege". (??)
Comment 21 Mamoru TASAKA 2007-05-13 10:03:45 EDT
(In reply to comment #20)
> Hello Tasaka-san,
> 
> Thank you for sponsoring me!
> 
> On cvs, koji has successfully built the package in "devel" branch.  But,
> plague-client fails in "FC-6" branch for some reason, the server says
> "Insufficient privilege". (??)

Well, first would you update common/ and mcpp/ again?
If you still fail to send a queue for plague, please
try to wait another one hour. If you still fails, please
let me know.
Comment 22 Kiyoshi Matsui 2007-05-17 02:16:55 EDT
The plague server has finally built mcpp package!

There were some troubles in building this package on the servers of
Fedora-project.

1. The plague server did not allow to enque building of this package for
some reason, saying "Insufficient privileges".
2. I sent an e-mail to rel-eng@fedoraproject.org and requested tagging
'f7-final' to this package.  The e-mail was, however, returned from the
redhat mail server on error for some reason, saying "User unknown".
3. I tried to subscribe fedora-maintainers ML.  The ML, however, did not
respond to me for some reason.

Then, my sponsor Mamoru Tasaka contacted to one of the Fedora
administrators, and all the troubles above have been dissolved.

Now, I close this bugzilla changing the "resolution" to NEXTRELEASE.
Many thanks to Mamoru Tasaka!

Note You need to log in before you can comment on or make changes to this bug.